import axios from 'axios'
import { useState, useEffect } from 'react'
import WikiEditor from '@/components/WikiEditor'
import { API_BASE_URL } from '../config'


const WikiPage = () => {
  const [text, setText] = useState ('')

  useEffect (() => {
    void (axios.get (`${ API_BASE_URL }/wiki/load`, { params: { page: 'xxx' } })
          .then (res => setText (res.data.markdown)))
  }, [])

  const save = () => {
    void (axios.post ('/api/wiki/save', { page:     'xxx',
                                          markdown: text })
          .catch (err => console.error ('保存失敗', err)))
  }

  return <WikiEditor value={text} onChange={setText} onSave={save} />
}


export default WikiPage
